# Global

##

### Members

#### (constant) arc

Function to create arc equivalent to "new" constructor

Source:
  - classes/arc.js, line 515

#### (constant) box

Shortcut to create new circle

Source:
  - classes/box.js, line 229

#### (constant) circle

Shortcut to create new circle

Source:
  - classes/circle.js, line 227

#### (constant) line

Function to create line equivalent to "new" constructor

Source:
  - classes/line.js, line 347

#### (constant) matrix

Function to create matrix equivalent to "new" constructor

Source:
  - classes/matrix.js, line 143

#### (constant) multiline

Shortcut function to create multiline

Source:
  - classes/multiline.js, line 212

#### (constant) point

Function to create point equivalent to "new" constructor

Source:
  - classes/point.js, line 291

#### (constant) polygon

Shortcut method to create new polygon

Source:
  - classes/polygon.js, line 534

#### (constant) segment

Shortcut method to create new segment

Source:
  - classes/segment.js, line 373

#### (constant) vector

Function to create vector equivalent to "new" constructor

Source:
  - classes/vector.js, line 248

#### (constant) CCW :boolean

Global constant CCW defines counter clockwise direction of arc

Source:
  - utils/constants.js, line 5

##### Type:

- `boolean`

#### (constant) CW :boolean

Global constant CW defines clockwise direction of arc

Source:
  - utils/constants.js, line 11

##### Type:

- `boolean`

#### (constant) ORIENTATION :Object

Defines orientation for face of the polygon: clockwise, counter clockwise or not orientable in the case of self-intersection

Source:
  - utils/constants.js, line 18

##### Type:

- `Object`

#### DP_TOL :number

DP_TOL is used for comparison of floating point numbers. It is set to 0.000001.

Source:
  - utils/utils.js, line 11

##### Type:

- `number`

### Methods

#### inverse(shape, inversion_circle) → {Line|Circle}

Inversion is a transformation of the Euclidean plane that maps generalized circles (where line is considered as a circle with infinite radius) into generalized circles See also https://en.wikipedia.org/wiki/Inversive_geometry and http://mathworld.wolfram.com/Inversion.html
Inversion also may be considered as a reflection of the point in the plane with respect to inversion circle so that R^2 = OP * OP', where
O - center of inversion circle
R - radius of inversion circle
P - point of plane
P' - inversion of the point P

Source:
  - algorithms/inversion.js, line 26

##### Parameters:

Name | Type | Description
--- | --- | ---
`shape` | `Line` | `Circle` | shape to be transformed
`inversion_circle` | `Circle` | inversion circle

##### Returns:

Type:
  `Line` | `Circle`

- result of transformation

#### EQ_0() → {boolean}

Returns *true* if value comparable to zero

Source:
  - utils/utils.js, line 21

##### Returns:

Type:
  `boolean`

#### EQ() → {boolean}

Returns *true* if two values are equal up to DP_TOL

Source:
  - utils/utils.js, line 29

##### Returns:

Type:
  `boolean`

#### GT() → {boolean}

Returns *true* if first argument greater than second argument up to DP_TOL

Source:
  - utils/utils.js, line 37

##### Returns:

Type:
  `boolean`

#### GE() → {boolean}

Returns *true* if first argument greater than or equal to second argument up to DP_TOL

Source:
  - utils/utils.js, line 45

##### Returns:

Type:
  `boolean`

#### LT() → {boolean}

Returns *true* if first argument less than second argument up to DP_TOL

Source:
  - utils/utils.js, line 53

##### Returns:

Type:
  `boolean`

#### LE() → {boolean}

Returns *true* if first argument less than or equal to second argument up to DP_TOL

Source:
  - utils/utils.js, line 61

##### Returns:

Type:
  `boolean`